<?php



$tdatatb_obrigacao_fiscal = array();
$tdatatb_obrigacao_fiscal[".searchableFields"] = array();
$tdatatb_obrigacao_fiscal[".ShortName"] = "tb_obrigacao_fiscal";
$tdatatb_obrigacao_fiscal[".OwnerID"] = "";
$tdatatb_obrigacao_fiscal[".OriginalTable"] = "tb_obrigacao_fiscal";


$tdatatb_obrigacao_fiscal[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_obrigacao_fiscal[".originalPagesByType"] = $tdatatb_obrigacao_fiscal[".pagesByType"];
$tdatatb_obrigacao_fiscal[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_obrigacao_fiscal[".originalPages"] = $tdatatb_obrigacao_fiscal[".pages"];
$tdatatb_obrigacao_fiscal[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_obrigacao_fiscal[".originalDefaultPages"] = $tdatatb_obrigacao_fiscal[".defaultPages"];

//	field labels
$fieldLabelstb_obrigacao_fiscal = array();
$fieldToolTipstb_obrigacao_fiscal = array();
$pageTitlestb_obrigacao_fiscal = array();
$placeHolderstb_obrigacao_fiscal = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_obrigacao_fiscal["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"] = array();
	$placeHolderstb_obrigacao_fiscal["Portuguese(Brazil)"] = array();
	$pageTitlestb_obrigacao_fiscal["Portuguese(Brazil)"] = array();
	$fieldLabelstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "Obrig Fiscal ID";
	$fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$placeHolderstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$fieldLabelstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrifacao"] = "Obrifacao";
	$fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrifacao"] = "";
	$placeHolderstb_obrigacao_fiscal["Portuguese(Brazil)"]["obrifacao"] = "";
	$fieldLabelstb_obrigacao_fiscal["Portuguese(Brazil)"]["tarifa"] = "Tarifa";
	$fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"]["tarifa"] = "";
	$placeHolderstb_obrigacao_fiscal["Portuguese(Brazil)"]["tarifa"] = "";
	$fieldLabelstb_obrigacao_fiscal["Portuguese(Brazil)"]["incluir"] = "Incluir";
	$fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"]["incluir"] = "";
	$placeHolderstb_obrigacao_fiscal["Portuguese(Brazil)"]["incluir"] = "";
	if (count($fieldToolTipstb_obrigacao_fiscal["Portuguese(Brazil)"]))
		$tdatatb_obrigacao_fiscal[".isUseToolTips"] = true;
}


	$tdatatb_obrigacao_fiscal[".NCSearch"] = true;


	$tdatatb_obrigacao_fiscal[".scrollGridBody"] = true;

$tdatatb_obrigacao_fiscal[".shortTableName"] = "tb_obrigacao_fiscal";
$tdatatb_obrigacao_fiscal[".nSecOptions"] = 0;

$tdatatb_obrigacao_fiscal[".mainTableOwnerID"] = "";
$tdatatb_obrigacao_fiscal[".entityType"] = 0;

$tdatatb_obrigacao_fiscal[".strOriginalTableName"] = "tb_obrigacao_fiscal";

	



$tdatatb_obrigacao_fiscal[".showAddInPopup"] = false;

$tdatatb_obrigacao_fiscal[".showEditInPopup"] = false;

$tdatatb_obrigacao_fiscal[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_obrigacao_fiscal[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_obrigacao_fiscal[".listAjax"] = false;
//	temporary
$tdatatb_obrigacao_fiscal[".listAjax"] = false;

	$tdatatb_obrigacao_fiscal[".audit"] = false;

	$tdatatb_obrigacao_fiscal[".locking"] = false;


$pages = $tdatatb_obrigacao_fiscal[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_obrigacao_fiscal[".edit"] = true;
	$tdatatb_obrigacao_fiscal[".afterEditAction"] = 0;
	$tdatatb_obrigacao_fiscal[".closePopupAfterEdit"] = 1;
	$tdatatb_obrigacao_fiscal[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_obrigacao_fiscal[".add"] = true;
$tdatatb_obrigacao_fiscal[".afterAddAction"] = 0;
$tdatatb_obrigacao_fiscal[".closePopupAfterAdd"] = 1;
$tdatatb_obrigacao_fiscal[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_obrigacao_fiscal[".list"] = true;
}



$tdatatb_obrigacao_fiscal[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_obrigacao_fiscal[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_obrigacao_fiscal[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_obrigacao_fiscal[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_obrigacao_fiscal[".printFriendly"] = true;
}



$tdatatb_obrigacao_fiscal[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_obrigacao_fiscal[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_obrigacao_fiscal[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_obrigacao_fiscal[".isUseAjaxSuggest"] = true;

$tdatatb_obrigacao_fiscal[".rowHighlite"] = true;





$tdatatb_obrigacao_fiscal[".ajaxCodeSnippetAdded"] = false;

$tdatatb_obrigacao_fiscal[".buttonsAdded"] = false;

$tdatatb_obrigacao_fiscal[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_obrigacao_fiscal[".isUseTimeForSearch"] = false;


$tdatatb_obrigacao_fiscal[".badgeColor"] = "B22222";


$tdatatb_obrigacao_fiscal[".allSearchFields"] = array();
$tdatatb_obrigacao_fiscal[".filterFields"] = array();
$tdatatb_obrigacao_fiscal[".requiredSearchFields"] = array();

$tdatatb_obrigacao_fiscal[".googleLikeFields"] = array();
$tdatatb_obrigacao_fiscal[".googleLikeFields"][] = "obrigFiscalID";
$tdatatb_obrigacao_fiscal[".googleLikeFields"][] = "obrifacao";
$tdatatb_obrigacao_fiscal[".googleLikeFields"][] = "tarifa";
$tdatatb_obrigacao_fiscal[".googleLikeFields"][] = "incluir";



$tdatatb_obrigacao_fiscal[".tableType"] = "list";

$tdatatb_obrigacao_fiscal[".printerPageOrientation"] = 0;
$tdatatb_obrigacao_fiscal[".nPrinterPageScale"] = 100;

$tdatatb_obrigacao_fiscal[".nPrinterSplitRecords"] = 40;

$tdatatb_obrigacao_fiscal[".geocodingEnabled"] = false;










$tdatatb_obrigacao_fiscal[".pageSize"] = 20;

$tdatatb_obrigacao_fiscal[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_obrigacao_fiscal[".strOrderBy"] = $tstrOrderBy;

$tdatatb_obrigacao_fiscal[".orderindexes"] = array();

$tdatatb_obrigacao_fiscal[".sqlHead"] = "SELECT obrigFiscalID,  	obrifacao,  	tarifa,  	incluir";
$tdatatb_obrigacao_fiscal[".sqlFrom"] = "FROM tb_obrigacao_fiscal";
$tdatatb_obrigacao_fiscal[".sqlWhereExpr"] = "";
$tdatatb_obrigacao_fiscal[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_obrigacao_fiscal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_obrigacao_fiscal[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_obrigacao_fiscal[".highlightSearchResults"] = true;

$tableKeystb_obrigacao_fiscal = array();
$tableKeystb_obrigacao_fiscal[] = "obrigFiscalID";
$tdatatb_obrigacao_fiscal[".Keys"] = $tableKeystb_obrigacao_fiscal;


$tdatatb_obrigacao_fiscal[".hideMobileList"] = array();




//	obrigFiscalID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "obrigFiscalID";
	$fdata["GoodName"] = "obrigFiscalID";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("tb_obrigacao_fiscal","obrigFiscalID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "obrigFiscalID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrigFiscalID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_obrigacao_fiscal["obrigFiscalID"] = $fdata;
		$tdatatb_obrigacao_fiscal[".searchableFields"][] = "obrigFiscalID";
//	obrifacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "obrifacao";
	$fdata["GoodName"] = "obrifacao";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("tb_obrigacao_fiscal","obrifacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "obrifacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrifacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_obrigacao_fiscal["obrifacao"] = $fdata;
		$tdatatb_obrigacao_fiscal[".searchableFields"][] = "obrifacao";
//	tarifa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tarifa";
	$fdata["GoodName"] = "tarifa";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("tb_obrigacao_fiscal","tarifa");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tarifa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tarifa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_obrigacao_fiscal["tarifa"] = $fdata;
		$tdatatb_obrigacao_fiscal[".searchableFields"][] = "tarifa";
//	incluir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "incluir";
	$fdata["GoodName"] = "incluir";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("tb_obrigacao_fiscal","incluir");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "incluir";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "incluir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_obrigacao_fiscal["incluir"] = $fdata;
		$tdatatb_obrigacao_fiscal[".searchableFields"][] = "incluir";


$tables_data["tb_obrigacao_fiscal"]=&$tdatatb_obrigacao_fiscal;
$field_labels["tb_obrigacao_fiscal"] = &$fieldLabelstb_obrigacao_fiscal;
$fieldToolTips["tb_obrigacao_fiscal"] = &$fieldToolTipstb_obrigacao_fiscal;
$placeHolders["tb_obrigacao_fiscal"] = &$placeHolderstb_obrigacao_fiscal;
$page_titles["tb_obrigacao_fiscal"] = &$pageTitlestb_obrigacao_fiscal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_obrigacao_fiscal"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_obrigacao_fiscal"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_obrigacao_fiscal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "obrigFiscalID,  	obrifacao,  	tarifa,  	incluir";
$proto0["m_strFrom"] = "FROM tb_obrigacao_fiscal";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "obrigFiscalID",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "tb_obrigacao_fiscal"
));

$proto6["m_sql"] = "obrigFiscalID";
$proto6["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "obrifacao",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "tb_obrigacao_fiscal"
));

$proto8["m_sql"] = "obrifacao";
$proto8["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tarifa",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "tb_obrigacao_fiscal"
));

$proto10["m_sql"] = "tarifa";
$proto10["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "incluir",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "tb_obrigacao_fiscal"
));

$proto12["m_sql"] = "incluir";
$proto12["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "tb_obrigacao_fiscal";
$proto15["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "obrigFiscalID";
$proto15["m_columns"][] = "obrifacao";
$proto15["m_columns"][] = "tarifa";
$proto15["m_columns"][] = "incluir";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "tb_obrigacao_fiscal";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "tb_obrigacao_fiscal";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_obrigacao_fiscal";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_obrigacao_fiscal = createSqlQuery_tb_obrigacao_fiscal();


	
		;

				

$tdatatb_obrigacao_fiscal[".sqlquery"] = $queryData_tb_obrigacao_fiscal;

$tableEvents["tb_obrigacao_fiscal"] = new eventsBase;
$tdatatb_obrigacao_fiscal[".hasEvents"] = false;

?>